Subject: bug#3599: 23.0.94; (elisp)Window Tree: Need to define root window

From: martin rudalics <[email-masked]>
Date: Thu, 18 Jun 2009 12:07:31 +0200

> "where ROOT represents the window tree of the frame's root window"
 >
 > So what is the "frame's root window" - what does that mean?
 >
 > Note too that "root window" means something about window manager
 > windows, outside Emacs, so it is all the more important to explain
 > this concept.

The term "root window" has been used internally for a long time and
probably was exhibited here for lack of a better term.  `window-tree' is
currently used only for balancing window sizes and I wasn't yet able to
understand neither the subtleties of the code nor its documentation.

So suggestions welcome ...

martin